package com.lukouguoji.gnc.page.deposit.list

import android.view.View
import com.lukouguoji.gnc.databinding.ItemGncDepositListBinding
import com.lukouguoji.module_base.base.BaseViewHolder
import com.lukouguoji.module_base.bean.GncCunFangBean
import com.lukouguoji.module_base.bean.SimpleCheckBean

class GncDepositListViewHolder(view: View) :
    BaseViewHolder<GncCunFangBean, ItemGncDepositListBinding>(view) {

    override fun onBind(item: Any?, position: Int) {
        val bean = getItemBean(item)!!
        binding.bean = bean

        binding.ivIcon.setOnClickListener {
            bean.checked.set(!bean.checked.get())
        }

    }

}